package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.system.domain.SysUserOnline;
import com.ruoyi.system.api.model.LoginUser;
import org.springframework.stereotype.Service;
import com.ruoyi.system.service.ISysUserOnlineService;

@Service
public class SysUserOnlineServiceImpl implements ISysUserOnlineService
{
    public SysUserOnline selectOnlineByIpaddr(final String ipaddr, final LoginUser user) {
        if (StringUtils.equals((CharSequence)ipaddr, (CharSequence)user.getIpaddr())) {
            return this.loginUserToUserOnline(user);
        }
        return null;
    }
    
    public SysUserOnline selectOnlineByUserName(final String userName, final LoginUser user) {
        if (StringUtils.equals((CharSequence)userName, (CharSequence)user.getUsername())) {
            return this.loginUserToUserOnline(user);
        }
        return null;
    }
    
    public SysUserOnline selectOnlineByInfo(final String ipaddr, final String userName, final LoginUser user) {
        if (StringUtils.equals((CharSequence)ipaddr, (CharSequence)user.getIpaddr()) && StringUtils.equals((CharSequence)userName, (CharSequence)user.getUsername())) {
            return this.loginUserToUserOnline(user);
        }
        return null;
    }
    
    public SysUserOnline loginUserToUserOnline(final LoginUser user) {
        if (StringUtils.isNull((Object)user)) {
            return null;
        }
        final SysUserOnline sysUserOnline = new SysUserOnline();
        sysUserOnline.setTokenId(user.getToken());
        sysUserOnline.setUserName(user.getUsername());
        sysUserOnline.setIpaddr(user.getIpaddr());
        sysUserOnline.setLoginTime(user.getLoginTime());
        return sysUserOnline;
    }
}
